Bug 234047 - sysutils/goaccess: Update to 1.3
Summary: sysutils/goaccess: Update to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-16 01:25 UTC by Adam Weinberger
Modified: 2019-02-25 19:47 UTC (History)
0 users

See Also:
sbz: maintainer-feedback+


Attachments
1.3 (5.16 KB, patch)
2018-12-16 01:25 UTC, Adam Weinberger
no flags Details | Diff
1.3 (5.15 KB, patch)
2018-12-16 14:19 UTC, Adam Weinberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Weinberger freebsd_committer 2018-12-16 01:25:55 UTC
Created attachment 200140 [details]
1.3

Hi Sofian,

The attached patch updates goaccess to 1.3. A couple things
to keep in mind here:

- The location of the conf file has changed. Previously it
  was in /usr/local/etc, now it is in /usr/local/etc/goaccess
  A message in UPDATING +/- a pkg-message about it may be
  helpful for end-users

- The --disable-nls switch was broken. The included patches
  fix it.
Comment 1 Adam Weinberger freebsd_committer 2018-12-16 14:19:31 UTC
Created attachment 200153 [details]
1.3

On second thought, HAVE_LIBINTL isn't the right guard here, it's ENABLE_NLS. I've redone the patch with that instead.
Comment 2 Sofian Brabez freebsd_committer 2018-12-18 00:42:58 UTC
Hi Adam,

Thank you for working on this upgrade and support for NLS! 

I had a quick look at your changes and it seems you removed the static files for the goaccess webui. Basically everything under %%PORTDOCS%%%%DOCSDIR%% in the pkg-plist in the ports and upstream everything under resources folder [1].

I will have a deeper look at the release notes for the upgrade of 1.3 in order to figure out all the changes.

[1] https://github.com/allinurl/goaccess/tree/v1.3/resources
Comment 3 Adam Weinberger freebsd_committer 2018-12-18 13:22:43 UTC
You are correct, they were removed in https://github.com/allinurl/goaccess/commit/61624f02d973c504b0cee5ff81aec6025701158d#diff-c949f93d03f44a4217d7a138f9e2e54a

  Makefile.am: don't install resources 
  Those resources are converted to C and embedded into the final binary
  during the build. There is no point in also installing them to
  $(PREFIX)/share/doc/goaccess/
Comment 4 Adam Weinberger freebsd_committer 2019-01-03 20:09:50 UTC
Hi Sofian,

I noticed that you set maintainer-feedback+, but I wasn't sure whether that was a signal to commit. Just to clarify: was that to signal to me that you'd like me to commit it, or was that to log it for yourself to commit?
Comment 5 Sofian Brabez freebsd_committer 2019-01-03 20:15:11 UTC
Hi Adam,

Correct, it was an approval signal to let you know you can go ahead and commit your own changes. Thank you!
Comment 6 Adam Weinberger freebsd_committer 2019-01-03 20:23:16 UTC
Thanks, Sofian. Would you like an UPDATING and/or pkg-message entry about the conf file location change?
Comment 7 Sofian Brabez freebsd_committer 2019-01-03 20:40:45 UTC
Yes it would be good but I don't have a strong opinion about this. If you do it, you might want to add something similar for the UPDATING entry:

20190103:
  AFFECTS: users of sysutils/goaccess
  AUTHOR: adamw@FreeBSD.org

  The configuration location path for has been changed:
  OLD: ${PREFIX}/etc
  NEW: ${PREFIX}/etc/goaccess

Honestly, I have never used a configuration for such command line tool. Agreed it would help the end-users.
Comment 8 commit-hook freebsd_committer 2019-01-03 21:09:03 UTC
A commit references this bug:

Author: adamw
Date: Thu Jan  3 21:08:53 UTC 2019
New revision: 489224
URL: https://svnweb.freebsd.org/changeset/ports/489224

Log:
  Update goaccess to 1.3.

  With this release:
  - The config file has moved from PREFIX/etc to ETCDIR
  - The web assets are no longer installed separately (they
    are compiled into the binary so this should not affect
    end-users)
  - NLS support (and OPTION) added

  pkg-message and UPDATING entry added for conf file location
  change.

  Changes: https://goaccess.io/release-notes

  PR:		234047
  Approved by:	maintainer (sbz)

Changes:
  head/UPDATING
  head/sysutils/goaccess/Makefile
  head/sysutils/goaccess/distinfo
  head/sysutils/goaccess/files/
  head/sysutils/goaccess/files/patch-src_gholder.c
  head/sysutils/goaccess/files/patch-src_goaccess.c
  head/sysutils/goaccess/files/patch-src_labels.h
  head/sysutils/goaccess/files/pkg-message.in
  head/sysutils/goaccess/pkg-plist
Comment 9 Sofian Brabez freebsd_committer 2019-02-25 19:47:42 UTC
Fixed. Committed in r489224